Skip to main content
GET
/
tools
/
{tool}
/
costs
Get tool route costs
curl --request GET \
  --url https://api.osint.ly/tools/{tool}/costs \
  --header 'Authorization: Bearer <token>'
{
  "defaultPrice": null,
  "routes": [
    {
      "kind": "free",
      "method": "GET",
      "quantity": 0,
      "routePattern": "/"
    },
    {
      "kind": "free",
      "method": "GET",
      "quantity": 0,
      "routePattern": "/infos"
    },
    {
      "kind": "free",
      "method": "POST",
      "quantity": 0,
      "routePattern": "/search"
    },
    {
      "kind": "free",
      "method": "POST",
      "quantity": 0,
      "routePattern": "/suggestions"
    },
    {
      "kind": "core_search",
      "method": "POST",
      "quantity": 1,
      "routePattern": "/resolve"
    },
    {
      "kind": "core_search",
      "method": "POST",
      "quantity": 1,
      "routePattern": "/linked-accounts"
    },
    {
      "kind": "core_search",
      "method": "POST",
      "quantity": 1,
      "routePattern": "/tags"
    },
    {
      "kind": "core_search",
      "method": "POST",
      "quantity": 1,
      "routePattern": "/regions"
    },
    {
      "kind": "core_search",
      "method": "POST",
      "quantity": 2,
      "routePattern": "/friends-achievements"
    },
    {
      "kind": "core_search",
      "method": "POST",
      "quantity": 1,
      "routePattern": "/creator"
    },
    {
      "kind": "core_search",
      "method": "POST",
      "quantity": 1,
      "routePattern": "/profile-db"
    },
    {
      "kind": "core_search",
      "method": "POST",
      "quantity": 3,
      "routePattern": "/all"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tool
enum<string>
required
Available options:
domain-intelligence,
ip-intelligence,
epic-games,
socialclub,
xbox,
playstation

Response

Tool route cost payload

defaultPrice
null | object
required
routes
object[]
required